import React, { InputHTMLAttributes, HTMLAttributes } from "react";
import "./styles.scss";
export interface IFocusInputProps extends InputHTMLAttributes<HTMLInputElement> {
    appendOverlay?: boolean;
    isToggleFocused?: boolean;
    setToggleFocused?: (value: boolean) => void;
}
export interface IWrapBlockProps extends HTMLAttributes<HTMLDivElement> {
    isActive?: boolean;
}
declare const FocusInput: React.FC<IFocusInputProps>;
export default FocusInput;
export declare const WrapBlockOverlay: React.FC<IWrapBlockProps>;
